import org.junit.Test;

import static org.junit.Assert.assertEquals;

public class IslandCounterTest {

    @Test
    public void countIslands() {
        IslandCounter ic = new IslandCounter("test.txt");
        assertEquals(1, ic.countIslands());
    }

    @Test
    public void countIslandsSeparate() {
        IslandCounter ic = new IslandCounter("test2.txt");
        assertEquals(4, ic.countIslands());
    }

    @Test
    public void countIslandsWorld() {
        IslandCounter ic = new IslandCounter("worldlowres.txt");
        assertEquals(7, ic.countIslands());
    }

    @Test
    public void countIslandsWorldLarge() {
        IslandCounter ic = new IslandCounter("worldhires.txt");
        assertEquals(18, ic.countIslands());
    }
}